Agda.Interaction.Options.Lenses

# Pragma options

class LensPragmaOptions a

modifyPragmaOptions

## Verbosity in the local pragma options

class LensVerbosity a

modifyVerbosity

putVerbosity

# Command line options

class LensCommandLineOptions a

modifyCommandLineOptions

## Safe mode

type SafeMode

class LensSafeMode a

modifySafeMode

putSafeMode

## Include directories

class LensIncludePaths a

modifyIncludePaths

putIncludePaths

modifyAbsoluteIncludePaths

putAbsoluteIncludePaths

## Include directories

type PersistentVerbosity

class LensPersistentVerbosity a

modifyPersistentVerbosity

putPersistentVerbosity